import request from '@/utils/request'

// 查询经营异常公告批量名单信息列表
export function listAnnouncement(query) {
  return request({
    url: '/basicData/xcrAbnormalOperationAnnouncement/findByPage',
    method: 'get',
    params: query
  })
}

// 查询经营异常公告批量名单信息详细
export function getAnnouncement(xhCodeId) {
  return request({
    url: '/basicData/xcrAbnormalOperationAnnouncement/' + xhCodeId,
    method: 'get'
  })
}

// 新增经营异常公告批量名单信息
export function addAnnouncement(data) {
  return request({
    url: '/basicData/xcrAbnormalOperationAnnouncement',
    method: 'post',
    data: data
  })
}

// 修改经营异常公告批量名单信息
export function updateAnnouncement(data) {
  return request({
    url: '/basicData/xcrAbnormalOperationAnnouncement',
    method: 'put',
    data: data
  })
}

// 删除经营异常公告批量名单信息
export function delAnnouncement(xhCodeId) {
  return request({
    url: '/basicData/xcrAbnormalOperationAnnouncement/deleteAll',
    method: 'delete'
  })
}
// 批量删除行政许可
export function delAnnouncementBatch(ids) {
  return request.post('/basicData/xcrAbnormalOperationAnnouncement/delete',ids)
}
